# dmxconfig.h File Reference

Go to the source code of this file.

## Functions

void | dmxConfigStoreDisplay (const char *display)
void | dmxConfigStoreInput (const char *input)
void | dmxConfigStoreXInput (const char *input)
void | dmxConfigStoreFile (const char *file)
void | dmxConfigStoreConfig (const char *config)
void | dmxConfigConfigure (void)
void | dmxConfigSetMaxScreens (void)

## Detailed Description

Interface for DMX configuration file support.

See also:
  dmxconfig.c

## Function Documentation

void dmxConfigConfigure | ( | void |  | ) |

| Set up the appropriate global variables so that the DMX server will be initialized using the configuration specified in the config file and on the command line.

void dmxConfigSetMaxScreens | ( | void |  | ) |

| This function determines the number of displays we WILL have and sets MAXSCREENS to that value. This is difficult since the number depends on the command line (which is easy to count) or on the config file, which has to be parsed.

void dmxConfigStoreConfig | ( | const char * | config | ) |

| Make a note that config should be used as the configuration for current instantiation of the DMX server.

void dmxConfigStoreDisplay | ( | const char * | display | ) |

| Make a note that display is the name of an X11 display that should be initialized as a backend (output) display. Called from ddxProcessArgument.

void dmxConfigStoreFile | ( | const char * | file | ) |

| Make a note that file is the configuration file.

void dmxConfigStoreInput | ( | const char * | input | ) |

| Make a note that input is the name of an X11 display that should be used for input (either a backend or a console input device).

void dmxConfigStoreXInput | ( | const char * | input | ) |

| Make a note that input is the name of an X11 display that should be used for input from XInput extension devices.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>